### Functions

## Searches LDAP for a specific user name (uid attribute) and returns its DN entry

    search_username(string $name) : string

### Parameters

#### $name

`string`

user name

### Returns

`string`DN

### Classes and interfaces

# lamAsteriskExtList¶

Generates the list view.

« More »

# lamBooleanListOption¶

Boolean option for list configuration.

« More »

# lamDHCPList¶

Generates the list view.

« More »

# lamGroupList¶

Generates the list view.

« More »

# lamHostList¶

Generates the list view.

« More »

# lamList¶

Generates the list view.

« More »

# lamListOption¶

Represents a list configuration option.

« More »

# lamListTool¶

Represents a tool which can be included in the account lists.

« More »

# lamMailAliasList¶

Generates the list view.

« More »

# lamNetgroupList¶

Generates the list view.

« More »

# lamSelectListOption¶

Boolean option for list configuration.

« More »

# lamSmbDomainList¶

Generates the list view.

« More »

# lamUserList¶

Generates the list view.

« More »